org.apache.lucene.luke.app.desktop.components

## Class AnalysisPanelProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.AnalysisPanelProvider

All Implemented Interfaces:
  AnalysisTabOperator, ComponentOperatorRegistry.ComponentOperator

    public final class AnalysisPanelProvider
    extends Object
    implements AnalysisTabOperator

Provider of the Analysis panel

### Constructor Summary

Constructors
Constructor and Description
`AnalysisPanelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JPanel` `get()`
`Analyzer` `getCurrentAnalyzer()`
`void` `setAnalyzerByCustomConfiguration(CustomAnalyzerConfig config)`
`void` `setAnalyzerByType(String analyzerType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnalysisPanelProvider

    public AnalysisPanelProvider()
                          throws IOException

Throws:
  `IOException`

### Method Detail

#### get

    public JPanel get()

#### setAnalyzerByType

    public void setAnalyzerByType(String analyzerType)

Specified by:
  `setAnalyzerByType` in interface `AnalysisTabOperator`

#### setAnalyzerByCustomConfiguration

    public void setAnalyzerByCustomConfiguration(CustomAnalyzerConfig config)

Specified by:
  `setAnalyzerByCustomConfiguration` in interface `AnalysisTabOperator`

#### getCurrentAnalyzer

    public Analyzer getCurrentAnalyzer()

Specified by:
  `getCurrentAnalyzer` in interface `AnalysisTabOperator`